//+------------------------------------------------------------------+
#import "user32.dll"
long SetWindowLongW(long hWnd, int nIndex, long dwNewLong);
long GetWindowLongW(long hWnd, int nIndex);
long SetWindowPos(long hWnd, int hWndInsertAfter, int X, int Y, int cx, int cy, int uFlags);
long GetParent(long hWnd);
long GetTopWindow(long hWnd);
long GetWindow(long hWnd, int wCmd);
#import

#define GWL_STYLE         -16
#define WS_CAPTION        0x00C00000
#define WS_BORDER         0x00800000
#define WS_SIZEBOX        0x00040000
#define WS_DLGFRAME       0x00400000
#define SWP_NOSIZE        0x0001
#define SWP_NOMOVE        0x0002
#define SWP_NOZORDER      0x0004
#define SWP_NOACTIVATE    0x0010
#define SWP_FRAMECHANGED  0x0020
#define GW_CHILD          0x0005
#define GW_HWNDNEXT       0x0002

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
   long hChartParent = GetParent(ChartGetInteger(0, CHART_WINDOW_HANDLE));
   long hMDIClient = GetParent(hChartParent);
   long hChildWindow = GetTopWindow(hMDIClient);
   while(hChildWindow > 0)
     {
      RemoveBorderByWindowHandle(hChildWindow);
      hChildWindow = GetWindow(hChildWindow, GW_HWNDNEXT);
     }
  }
//+------------------------------------------------------------------+
void RemoveBorderByWindowHandle(long hWindow)
  {
   long iNewStyle = GetWindowLongW(hWindow, GWL_STYLE) & (~(WS_BORDER | WS_DLGFRAME | WS_SIZEBOX));
   if(hWindow > 0 && iNewStyle > 0)
     {
      SetWindowLongW(hWindow, GWL_STYLE, iNewStyle);
      SetWindowPos(hWindow, 0, 0, 0, 0, 0, SWP_NOZORDER | SWP_NOMOVE | SWP_NOSIZE | SWP_NOACTIVATE | SWP_FRAMECHANGED);
     }
  }
//+------------------------------------------------------------------+
